libzypp 17.37.10

RepomdFileReader.h File Reference

Interface of repomd.xml file reader. More...

`#include <set>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/Function.h>`
`#include <zypp-core/OnMediaLocation>`

Go to the source code of this file.

## Classes
class | zypp::parser::yum::RepomdFileReader
| Reads through a repomd.xml file and collects type, location, checksum and other data about metadata files to be processed. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::parser
namespace | zypp::parser::yum

## Detailed Description

Interface of repomd.xml file reader.

Definition in file RepomdFileReader.h.